package cn.stylefeng.workflow.instance.modular.business.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.workflow.instance.modular.business.entity.BusinessLink;
import cn.stylefeng.workflow.instance.modular.business.pojo.request.BusinessLinkRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface BusinessLinkService extends IService<BusinessLink> {

    void add(BusinessLinkRequest businessLinkRequest);

    void del(BusinessLinkRequest businessLinkRequest);

    void batchDelete(BusinessLinkRequest businessLinkRequest);

    void edit(BusinessLinkRequest businessLinkRequest);

    BusinessLink detail(BusinessLinkRequest businessLinkRequest);

    List<BusinessLink> findList(BusinessLinkRequest businessLinkRequest);

    PageResult<BusinessLink> findPage(BusinessLinkRequest businessLinkRequest);

    Long getModelIdByBusinessCode(String businessCode);

}
